## NAME

CURLOPT_TLSAUTH_TYPE - set TLS authentication methods

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TLSAUTH_TYPE, long bitmask);

## DESCRIPTION

Pass a long as parameter, which is set to a bitmask, to tell libcurl which authentication method(s) you want it to use for TLS authentication.

CURL_TLSAUTH_SRP

TLS-SRP authentication. Secure Remote Password authentication for TLS is defined in RFC 5054 and provides mutual authentication if both sides have a shared secret. To use TLS-SRP, you must also set the CURLOPT_TLSAUTH_USERNAME and CURLOPT_TLSAUTH_PASSWORD options.

## DEFAULT

CURL_TLSAUTH_NONE (0)

## PROTOCOLS

All TLS-based protocols

## EXAMPLE

TODO

## AVAILABILITY

You need to build libcurl with GnuTLS or OpenSSL with TLS-SRP support for this to work. Added in 7.21.4

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_TLSAUTH_USERNAME CURLOPT_TLSAUTH_PASSWORD

This HTML page was made with roffit.